<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Views/NameIndex/NameIndex.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Views.NameIndex.NameIndex</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Views.html" >Views</a>.<a href="../NameIndex.html" >NameIndex</a>
</div><div class="class-name">class NameIndex

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Views/NameIndex.py.html" target="detail">../Synopsis/Formatters/HTML/Views/NameIndex.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.NameIndex.NameIndex" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line16" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="NameIndex-inheritance" src="NameIndex-inheritance.png" hspace="8" vspace="8" border="0" usemap="#NameIndex-inheritance_map" />
<map name="NameIndex-inheritance_map"></map>
 <div class="doc">Creates an index of all names on one view in alphabetical order.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="NameIndex.html#_process_item" >_process_item</a></span>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.NameIndex.NameIndex._process_item" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line99" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="columns">columns</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line19" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename">filename</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.NameIndex.NameIndex.filename" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line21" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="title">title</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.NameIndex.NameIndex.title" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line28" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="root">root</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.NameIndex.NameIndex.root" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line32" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.NameIndex.NameIndex.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line36" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="NameIndex.html#make_dictionary" >make_dictionary</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.NameIndex.NameIndex.make_dictionary" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line68" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a dictionary of items.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="NameIndex.html#end_file" >end_file</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.NameIndex.NameIndex.end_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line114" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Protected Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_process_item">_process_item</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.NameIndex.NameIndex._process_item" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line99" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Process the given name for output</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="make_dictionary">make_dictionary</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.NameIndex.NameIndex.make_dictionary" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line68" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a dictionary of items. The keys of the dictionary are the
        headings - the first letter of the name. The values are each a sorted
        list of items with that first letter.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="end_file">end_file</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.NameIndex.NameIndex.end_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/NameIndex.py.html#line114" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Overrides end_file to provide synopsis logo</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:10 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
